summaryrefslogtreecommitdiff
path: root/auto-installer.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2010-02-09 17:12:20 +0000
committerNick White <git@njw.me.uk>2010-02-09 17:12:20 +0000
commitef6704c7111642f5c1cccf09c2990adeb1fec299 (patch)
tree56a3cc43db9dc3e9a2db16dccbe945c0823234b6 /auto-installer.sh
parentd44154ecfafb9bf183e201dadc0fd1ed6310fbd1 (diff)
parentbd2a182caf12caec92f188ff848676e808819f64 (diff)
downloadgemrb-gameinstallers-ef6704c7111642f5c1cccf09c2990adeb1fec299.tar.bz2
gemrb-gameinstallers-ef6704c7111642f5c1cccf09c2990adeb1fec299.zip
Merged Nick Daly's work
Diffstat (limited to 'auto-installer.sh')
-rwxr-xr-xauto-installer.sh19
1 files changed, 10 insertions, 9 deletions
diff --git a/auto-installer.sh b/auto-installer.sh
index 53a29da..f9ea255 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -30,6 +30,9 @@ scriptdir="$(dirname $0)"
. "$scriptdir/includes/patch-includes.sh"
. "$scriptdir/includes/autoinstall-includes.sh"
. "$scriptdir/includes/cd-list.sh"
+if [ "$PLAYONLINUX" ]; then
+ . "$PLAYONLINUX/lib/sources" > /dev/null 2>&1
+fi
parseargs "$@"
@@ -61,14 +64,12 @@ if [ -n "$EXTRASCRIPT" ]; then
fi
fi
-if [ "$FULLINSTALL" -eq 0 ]; then
- if [ -n "$EXPANSIONSCRIPT" ]; then
- if query "Do you want to install the files needed by the $EXPANSIONNAME expansion?" y; then
- EXPANSIONINSTALL=1
- "${scriptdir}/${EXPANSIONSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
- else
- EXPANSIONINSTALL=0
- fi
+if [ -n "$EXPANSIONSCRIPT" ]; then
+ if query "Do you want to install the files needed by the $EXPANSIONNAME expansion?" y; then
+ EXPANSIONINSTALL=1
+ "${scriptdir}/${EXPANSIONSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+ else
+ EXPANSIONINSTALL=0
fi
fi
@@ -99,4 +100,4 @@ fi
echo
echo "$FULLGAMENAME installed successfully"
-recommendcfg $CDNO $CDSTART
+recommendcfg "$CDNO" "$CDSTART"